### Function

# Pango Gravity to_rotation

since: 1.16

#### Declaration [src]

    double
    pango_gravity_to_rotation (
      PangoGravity gravity
    )

#### Description [src]

Converts a `PangoGravity` value to its natural rotation in radians.

Note that `pango_matrix_rotate()` takes angle in degrees, not radians. So, to call [method@Pango.Matrix,rotate] with the output of this function you should multiply it by (180. / G_PI).

Available since: 1.16

#### Parameters

`gravity`

  Type: `PangoGravity`

  Gravity to query, should not be `PANGO_GRAVITY_AUTO`.

#### Return value

Type: `double`

The rotation value corresponding to `gravity`.